#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		platform	linux-g++
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt5-qtquickcontrols2
Version		:	5.15.14
Release		:	17.0.10.rel%{?dist}
Summary		:	Qt5 - module with set of QtQuick controls for embedded

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.qt.io/archive/qt/(vers/rel)/single

Source0		:	%{sname}-everywhere-opensource-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qtdeclarative-devel
BuildRequires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description
Qt5 - module with set of QtQuick controls for embedded 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.LGPLv3 LICENSE.GPLv3
%{_qt5_libdir}/libQt5QuickTemplates2.so.5*
%{_qt5_libdir}/libQt5QuickControls2.so.5*
%{_qt5_qmldir}/Qt/labs/calendar
%{_qt5_qmldir}/Qt/labs/platform
%{_qt5_archdatadir}/qml/QtQuick/Controls.2/
%{_qt5_archdatadir}/qml/QtQuick/Templates.2/

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
Development files for %{name}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_qt5_headerdir}/
%{_qt5_libdir}/pkgconfig/*.pc
%{_qt5_libdir}/libQt5QuickTemplates2.so
%{_qt5_libdir}/libQt5QuickControls2.so
%{_qt5_libdir}/libQt5QuickTemplates2.prl
%{_qt5_libdir}/libQt5QuickControls2.prl
%{_qt5_libdir}/qt5/mkspecs/modules/*
%{_libdir}/cmake/Qt5QuickControls2/
%{_libdir}/cmake/Qt5QuickTemplates2/
  
#=============================================================================
%package		examples
Summary		:	Example files for %{name}


#-----------------------------------------------------------------------------
%description		examples
Example files for %{name}

#-----------------------------------------------------------------------------
%files			examples
%defattr(-,root,root,-)
%{_qt5_examplesdir}/quickcontrols2/

#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export PATH=%{_qt5_bindir}:$PATH
export LD_LIBRARY_PATH=%{_qt5_libdir}

%{__mkdir_p} _bld
pushd _bld > /dev/null
qmake							\
	"CONFIG+=debug"					\
	"CONFIG+=disable_external_rpath"		\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd _bld
%{__make}						\
	INSTALL_ROOT="%{buildroot}"			\
	install
popd

#To remove libtool library and static library
find 							\
	%{buildroot}%{_libdir}				\
	\(						\
		 -name \*.la				\
		 -o					\
		 -name \*.a				\
	 \)						\
	-delete

#-----------------------------------------------------------------------------
%changelog
